Package org.silverpeas.components.quickinfo.notification

# Class AbstractQuickInfoUserNotification<T>

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
org.silverpeas.components.quickinfo.notification.AbstractQuickInfoUserNotification<T>

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `AbstractNewsUserNotification`

public abstract class AbstractQuickInfoUserNotification<T> extends org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractQuickInfoUserNotification(T resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getContributionAccessLinkLabelBundleKey()`
  `protected String`
  `getLocalizationBundlePath()`
  `protected final org.silverpeas.core.admin.user.model.UserDetail`
  `getSenderDetail()`
  Gets the `UserDetail` instance of the sender.
  `protected String`
  `getSenderName()`
  Gets the name of the sender.
  `protected String`
  `getTemplatePath()`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getAction, getBundle, getBundle, getComponentInstanceId, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getSender, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractQuickInfoUserNotification

    protected AbstractQuickInfoUserNotification(T resource)

- ## Method Details

  - ### getLocalizationBundlePath

    protected String getLocalizationBundlePath()
    Overrides:
      `getLocalizationBundlePath` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getTemplatePath

    protected String getTemplatePath()
    Specified by:
      `getTemplatePath` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>`

  - ### getSenderName

    protected String getSenderName()
    Gets the name of the sender.
    Returns:
      the sender name.

  - ### getSenderDetail

    protected final org.silverpeas.core.admin.user.model.UserDetail getSenderDetail()
    Gets the `UserDetail` instance of the sender.
    Returns:
      the sender

  - ### getContributionAccessLinkLabelBundleKey

    protected String getContributionAccessLinkLabelBundleKey()
    Overrides:
      `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>`